package ru.rsdn.patterns.behavioral.observer.problems.init;

import org.junit.Test;

/**
 * Тестирование подписчика, в котором проявляется наследованный риск
 * безопасности инициализации
 */
public class InheritedUnsafeInitSubscriberTest {
	@Test(expected = NullPointerException.class)
	public void test() {
		new InheritedUnsafeInitSubscriber(new InitNotifyPublisher());
	}
}
